base-compat-0.9.3: A compatibility layer for base

Safe Haskell | Safe
Language | Haskell98

Data.Proxy.Compat

Synopsis

- asProxyTypeOf :: a -> proxy a -> a

# Documentation

asProxyTypeOf :: a -> proxy a -> a Source #

`asProxyTypeOf` is a type-restricted version of `const`. It is usually used as an infix operator, and its typing forces its first argument (which is usually overloaded) to have the same type as the tag of the second.